Rule Schema
curl --request GET \
--url https://{defaultHost}/v1/auto_fees/rule_schema/{fee_target} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/auto_fees/rule_schema/{fee_target}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/auto_fees/rule_schema/{fee_target}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "rule_schema",
"schema_id": "auto_fee__line_item",
"attributes": [
{
"key": "quantity",
"metadata": false,
"supported_values": [],
"type": "numeric",
"operators": [
"is",
"is_not",
"is_more_than",
"is_less_than",
"is_at_least",
"is_at_most"
]
},
{
"key": "subtotal_amount",
"metadata": false,
"supported_values": [],
"type": "numeric",
"operators": [
"is",
"is_not",
"is_more_than",
"is_less_than",
"is_at_least",
"is_at_most"
]
},
{
"key": "note",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "customer_prior_product_purchase_quantity",
"metadata": false,
"supported_values": [],
"type": "numeric",
"operators": [
"is",
"is_not",
"is_more_than",
"is_less_than",
"is_at_least",
"is_at_most"
]
},
{
"key": "sku",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.metadata",
"metadata": true,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.subtotal_amount",
"metadata": false,
"supported_values": [],
"type": "numeric",
"operators": [
"is",
"is_not",
"is_more_than",
"is_less_than",
"is_at_least",
"is_at_most"
]
},
{
"key": "checkout.email",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.email_domain",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.first_name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.last_name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.order_type",
"metadata": false,
"supported_values": [
"checkout",
"subscription"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.coupon.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "checkout.coupon.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.promotion.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "checkout.promotion.code",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.geo_address.country",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "customer.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "customer.created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "customer.order_count",
"metadata": false,
"supported_values": [],
"type": "numeric",
"operators": [
"is",
"is_not",
"is_more_than",
"is_less_than",
"is_at_least",
"is_at_most"
]
},
{
"key": "price.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "price.created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "price.metadata",
"metadata": true,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "price.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "price.recurring_period_count",
"metadata": false,
"supported_values": [],
"type": "numeric",
"operators": [
"is",
"is_not",
"is_more_than",
"is_less_than",
"is_at_least",
"is_at_most"
]
},
{
"key": "price.recurring_interval",
"metadata": false,
"supported_values": [
"day",
"week",
"month",
"year"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "price.price_type",
"metadata": false,
"supported_values": [
"one_time",
"finite_recurring",
"infinite_recurring"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "product.created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "product.metadata",
"metadata": true,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.slug",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.product_collections.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "product.product_collections.metadata",
"metadata": true,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.product_collections.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.product_collections.slug",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.product_group.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "product.product_group.metadata",
"metadata": true,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "product.product_group.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
}
]
}Auto Fees
Rule Schema
Retrieves the rule schema for a specific fee target.
GET
/
v1
/
auto_fees
/
rule_schema
/
{fee_target}
Rule Schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The fee target type (checkout, line_item, or shipping)
Response
200 - application/json
Success
Was this page helpful?
⌘I